{
  name: 'archematics',
  version: '0.1.0',
  description: 'Uncovering lost digital mathematical treasures',
  scripts: {
    test: 'echo "Error: no test specified" && exit 1',
    // Obtain additional source code needed:
    prebuild: 'bash tools/fetchDeps.bash',
    // Use civet to create .ts files from the source...
    build_ts1: 'mkdir -p tsbuild && civet -c -o tsbuild/.ts src/*.civet',
    // ... but also grab other existing files:
    build_ts2: 'cp -r etc/deps tsbuild',
    build_ts3: 'bash tools/copyDeps.bash tsbuild/deps',
    // Use the Typescript compiler to create the final .js files:
    build_js: 'tsc && mkdir -p public/js && cp -r jsbuild/* public/js',
    build_deps: 'bash tools/copyDeps.bash public/js/deps',
    build_plugin: 'bash tools/makePlugin.bash archematics',
    build: 'pnpm --sequential /build_/',
    start: 'node public/js',
    go: 'pnpm --sequential "/build|start/"',
    serve: 'pnpm build && http-server',
    clean: 'rm -rf tsbuild jsbuild public/js archematics archematics.zip',
  },
  packageManager: 'pnpm',
  keywords: [
    'math',
    'browser',
    'plugin',
  ],
  author: 'Glen Whitney',
  license: 'MIT',
  repository: {
    type: 'git',
    url: 'https://code.studioinfinity.org/glen/archematics.git',
  },
  devDependencies: {
    '@danielx/civet': '^0.6.46',
    '@types/firefox-webext-browser': '^111.0.3',
    '@types/jquery': '^3.5.24',
    '@webcomponents/custom-elements': '^1.6.0',
    'http-server': '^14.1.1',
    rollup: '^4.1.4',
    typescript: '^5.2.2',
    'webextension-polyfill': '^0.10.0',
  },
  dependencies: {
    colorsea: '^1.2.1',
    vrml1to97: '^0.2.2',
  },
}
